# R for travis: see documentation at https://docs.travis-ci.com/user/languages/r

language: R
r:
  - bioc-devel
#  - bioc-release
sudo: false
cache: packages

# dependency for gsl>copula>zinbwave
addons:
  apt:
    packages:
      - libgsl-dev

install:
  - R -e 'install.packages("devtools")'
  - R -e 'devtools::install(dependencies = TRUE, upgrade_dependencies = TRUE)'

after_success:
  - Rscript -e 'covr::codecov()'

notifications:
  email:
    on_success: change
    on_failure: change
